Summary:	A collection of several multipurpose scripts and tools
Name:		hxtools
Version:	20150304
Release:	1
License:	GPLv2+
Group:		File tools
Url:		http://inai.de/projects/hxtools/
Source0:	http://inai.de/files/hxtools/%{name}-%{version}.tar.xz
BuildRequires:	libcap-devel
BuildRequires:	pkgconfig(libHX)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(xcb)
Suggests:	mc

%description
A collection of multipurpose scripts and tools by the developper Jan
Engelhardt (http://inai.de) used in other projects.

%files
%doc LICENSE.GPL2 LICENSE.GPL3 LICENSE.WTFPL LICENSES.txt
%config(noreplace) %{_sysconfdir}/hxloginpref.conf
%{_libexecdir}/hxtools/doxygen-kerneldoc-filter
%{_datadir}/hxtools/hx*
%{_mandir}/man7/hxtools.7*

#----------------------------------------------------------------------------

%package extract
Summary:	Hxtools scripts and binaries for game packaging
Group:		Games/Other

%description extract
Hxtools scripts and binaries for game packaging.

%files extract
%{_libexecdir}/hxtools/shared.pm
%{_libexecdir}/hxtools/extract_*
%{_mandir}/man1/extract*.1*

#----------------------------------------------------------------------------

%package fonts
Summary:	Hxtools fonts
Group:		System/Fonts/X11 bitmap

%description fonts
Hxtools fonts.

%files fonts
%doc kbd/README
%{_bindir}/clt2bdf
%{_libexecdir}/hxtools/clt2pbm
%{_libexecdir}/hxtools/fnt2bdf
%{_libexecdir}/hxtools/vfontas
%{_xfontdir}/misc/*
%{_datadir}/kbd
%{_datadir}/hxtools/rfc*
%{_mandir}/man1/clt2bdf.1*
%{_mandir}/man1/clt2pbm.1*
%{_mandir}/man1/fnt2bdf.1*
%{_mandir}/man1/vfontas.1*

#----------------------------------------------------------------------------

%package git
Summary:	Hxtools utilities dedicated to git
Group:		Development/Tools
Requires:	coreutils
Requires:	git
Requires:	less

%description git
Hxtools utilities dedicated to git.

%files git
%{_bindir}/git-*
%{_bindir}/pesubst
%{_libexecdir}/hxtools/git-blame-stats
%{_libexecdir}/hxtools/git-new-root
%{_libexecdir}/hxtools/git-revert-stats
%{_datadir}/hxtools/gitconfig
%{_mandir}/man1/pesubst.1*
%{_mandir}/man1/git-author-stat.1*
%{_mandir}/man1/git-export-patch.1*
%{_mandir}/man1/git-forest.1*
%{_mandir}/man1/git-revert-stats.1*
%{_mandir}/man1/git-track.1*

#----------------------------------------------------------------------------

%package sound
Summary:	Hxtools scripts and binaries for audio processing
Group:		Sound
Suggests:	ossp
Suggests:	TiMidity++

%description sound
Hxtools scripts and binaries for audio processing.

%files sound
%{_bindir}/googtts
%{_bindir}/gpsh
%{_bindir}/hcdplay
%{_bindir}/omixer
%{_bindir}/oplay
%{_bindir}/orec
%{_libexecdir}/hxtools/bsvplay
%{_libexecdir}/hxtools/mod2ogg
%{_libexecdir}/hxtools/pcmdiff
%{_libexecdir}/hxtools/qplay
%{_mandir}/man1/bsvplay.1*
%{_mandir}/man1/hcdplay.1*
%{_mandir}/man1/mod2ogg.1*
%{_mandir}/man1/omixer.1*
%{_mandir}/man1/oplay.1*
%{_mandir}/man1/orec.1*
%{_mandir}/man1/pcmdiff.1*
%{_mandir}/man1/qplay.1*

#----------------------------------------------------------------------------

%package system
Summary:	Hxtools scripts and binaries dedicated to system
Group:		System/Base
Requires:	sudo
Suggests:	wdiff

%description system
Hxtools scripts and binaries dedicated to system.

%files system
%{_bindir}/clock_info
%{_bindir}/declone
%{_bindir}/ofl
%{_bindir}/pmap_dirty
%{_bindir}/su1
%{_bindir}/sysinfo
%{_bindir}/xcp
%{_libexecdir}/hxtools/cctypeinfo
%{_libexecdir}/hxtools/fd0ssh
%{_libexecdir}/hxtools/psthreads
%{_libexecdir}/hxtools/logontime
%{_libexecdir}/hxtools/netload
%{_libexecdir}/hxtools/paddrspacesize
%{_libexecdir}/hxtools/printcaps
%{_libexecdir}/hxtools/proc*
%{_libexecdir}/hxtools/utmp_register
%{_mandir}/man1/cctypeinfo.1*
%{_mandir}/man1/clock_info.1*
%{_mandir}/man1/declone.1*
%{_mandir}/man1/fd0ssh.1*
%{_mandir}/man1/ofl.1*
%{_mandir}/man1/psthreads.1*
%{_mandir}/man1/sysinfo.1*
%{_mandir}/man1/xcp.1*
%{_mandir}/man8/logontime.8*
%{_mandir}/man8/netload.8*
%{_mandir}/man8/printcaps.8*
%{_mandir}/man8/utmp_register.8*

#----------------------------------------------------------------------------

%package utils
Summary:	The hxtools scripts and tools
Group:		File tools
Requires:	fontforge
Requires:	xterm

%description utils
The hxtools scripts and tools.

%files utils
%{_bindir}/bin2c
%{_bindir}/checkbrack
%{_bindir}/cwdiff
%{_bindir}/fxterm
%{_bindir}/qtar
%{_bindir}/rot13
%{_bindir}/spec-beautifier
%{_bindir}/tailhex
%{_bindir}/wktimer
%{_libexecdir}/hxtools/diff2php
%{_libexecdir}/hxtools/mailsplit
%{_libexecdir}/hxtools/peicon
%{_libexecdir}/hxtools/recursive_lower
%{_libexecdir}/hxtools/rezip
%{_libexecdir}/hxtools/sourcefuncsize
%{_libexecdir}/hxtools/vcsaview
%{_mandir}/man1/bin2c.1*
%{_mandir}/man1/checkbrack.1*
%{_mandir}/man1/cwdiff.1*
%{_mandir}/man1/diff2php.1*
%{_mandir}/man1/fxterm.1*
%{_mandir}/man1/mailsplit.1*
%{_mandir}/man1/peicon.1*
%{_mandir}/man1/qtar.1*
%{_mandir}/man1/rot13.1*
%{_mandir}/man1/recursive_lower.1*
%{_mandir}/man1/spec-beautifier.1*
%{_mandir}/man1/sourcefuncsize.1*
%{_mandir}/man1/tailhex.1*
%{_mandir}/man8/vcsaview.8*
%{_mandir}/man1/wktimer.1*

#----------------------------------------------------------------------------

%package video
Summary:	Hxtools scripts and binaries for video processing
Group:		Video
Requires:	ffmpeg

%description video
Hxtools scripts and binaries for video processing.

%files video
%{_bindir}/move_moov
%{_bindir}/ssa2srt
%{_libexecdir}/hxtools/stxdb
%{_mandir}/man1/ssa2srt.1*
%{_mandir}/man1/stxdb.1*

#----------------------------------------------------------------------------



%prep
%setup -q

%build
%configure2_5x \
	--disable-silent-rules
%make

%install
%makeinstall_std

#already provided by man
rm %{buildroot}/%{_bindir}/man2html
rm %{buildroot}/%{_mandir}/man1/man2html.1*

#no corresponding binary
rm %{buildroot}/%{_mandir}/man8/xfs_irecover.8*


%changelog

* Tue Sep 06 2016 Rosa <rosa@abf.rosalinux.ru> 20150304-1
- (ceb6066) Automatic import for version 20150304-1


